Loading...
Searching...
No Matches
restinio::easy_parser::impl::transformer_proxy_tag Struct Reference

A special base class to be used with transformer-proxies. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::transformer_proxy_tag:

## Static Public Attributes

static constexpr entity_type_t | entity_type = entity_type_t::transformer_proxy

## Detailed Description

A special base class to be used with transformer-proxies.

Every transformer-proxy class should have the following content:

class some_transformer_proxy_type
{
public:
static constexpr entity_type_t entity_type = entity_type_t::transformer;
template< typename Input_Type >
auto
make_transformer();
...
};
restinio::easy_parser::impl::entity_type_t
entity_type_t
A marker for distinguish different kind of entities in parser.
Definition: easy_parser.hpp:901

where `Input_Type` is will be specified by a producer.

Since
  v.0.6.6

Definition at line 1266 of file easy_parser.hpp.

## Member Data Documentation

## entity_type

constexpr entity_type_t restinio::easy_parser::impl::transformer_proxy_tag::entity_type = entity_type_t::transformer_proxy

static constexpr

Definition at line 1268 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp